package com.zxhy.solarmasterace.adapter

import android.view.View
import androidx.recyclerview.widget.RecyclerView
import com.zxhy.solarmasterace.databinding.ItemCardDupImageBinding
import com.zxhy.solarmasterace.databinding.ItemCardFileBinding
import com.zxhy.solarmasterace.databinding.ItemCardImage85Binding
import com.zxhy.solarmasterace.databinding.ItemCardImageSelector100Binding
import com.zxhy.solarmasterace.databinding.ItemCardImageSelector85Binding

class ItemCardImage85ViewHolder(view: View) : RecyclerView.ViewHolder(view) {
    val binding = ItemCardImage85Binding.bind(view)
}

class ItemCardImageSelect85ViewHolder(view: View) : RecyclerView.ViewHolder(view) {
    val binding = ItemCardImageSelector85Binding.bind(view)
}

class ItemCardImageSelect100ViewHolder(view: View) : RecyclerView.ViewHolder(view) {
    val binding = ItemCardImageSelector100Binding.bind(view)
}

class ItemCardDupImageViewHolder(view: View) : RecyclerView.ViewHolder(view) {
    val binding = ItemCardDupImageBinding.bind(view)
}

class ItemCardFileViewHolder(view: View) : RecyclerView.ViewHolder(view) {
    val binding = ItemCardFileBinding.bind(view)
}
